---
title: "Use RSS to Get Updates"
date: 2022-08-09T11:09:00-07:00
draft: false
tags:
    - rss
    - education
---

### Introduction
[RSS](https://www.rssboard.org/rss-specification) or Really Simple Syndication is an excellent way to get a feed from a massive amount of sources! Instead of having to go to different websites for updates on different things, one can simply read from all sorts of sources in one single feed. In this article, you will learn how to find feeds for various social media, news, and video sites.

### Twitter
[Nitter](https://nitter.net/) is a free software frontend for Twitter, and includes the ability to follow an account as an RSS feed. The format is as follows:
```
https://<instance>/<username>/rss
```

### Instagram
[Bibliogram](https://bibliogram.art/) is similarly a free software frontend for Instagram that includes following accounts as RSS feeds, although not all instances support this, so you will want to check the [list of instances](https://git.sr.ht/~cadence/bibliogram-docs/tree/master/docs/Instances.md) first.

### YouTube
YouTube has built-in RSS functionality. The format is as follows:
```
https://www.youtube.com/feeds/videos.xml?channel_id=<id>
```

### TikTok
[Proxitok](https://proxitok.herokuapp.com/) is a free software frontend for Tiktok that includes following accounts as RSS feeds. The format is as follows:
```
https://proxitok.herokuapp.com/@<username>/rss
```

### Mastodon
[Mastodon](https://joinmastodon.org/) is a federated social newtork powered by [ActivityPub](https://activitypub.rocks/). The format is as follows:
```
https://<instance>/@<username>.rss
```

### PeerTube
[PeerTube](https://joinpeertube.org/) is a federated video streaming site, also powered by ActivityPub.

To follow via RSS, click on the arrow labeled `Subscribe`, and then click `Subscribe via RSS`.

### Wordpress
For Wordpress sites, the format is as follows:
```
https://<website>/feed
```

### Other
Often, many websites will have an RSS icon such as this one ![RSS Icon](https://www.rssboard.org/images/rss-icon.png) or a link labeled [RSS](https://ch0ccyra1n.gitlab.io/posts/index.xml) that will take you to an RSS feed for that website. For example, the one on the front page of this website. Alternatively, a website may have a page that lists multiple feeds, such as on [Deutsche Welle](https://www.dw.com/en/rss/s-31500).
